- Qt 6.6
- Qt Sensors
- C++ Classes
- QLightSensor
- Qt 6.6.2 Reference Documentation

# QLightSensor Class

The QLightSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QLightSensor>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensor

- List of all members, including inherited members

## Properties

- fieldOfView : const qreal

## Public Functions

| QLightSensor(QObject *parent = nullptr)
virtual | ~QLightSensor()
qreal | fieldOfView() const
QLightReading * | reading() const
void | setFieldOfView(qreal fieldOfView)

## Signals

void | fieldOfViewChanged(qreal fieldOfView)

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QLightReading instead of a QSensorReading.

For details about how the sensor works, see QLightReading.

See also QLightReading.

## Property Documentation

### `[read-only]` fieldOfView : const qreal

This property holds a value indicating the field of view.

This is an angle that represents the field of view of the sensor.

Not all light sensor support retrieving their field of view. For sensors that don't support this property, the value will be 0. Whether the field of view is supported can be checked with QSensor::isFeatureSupported() and the QSensor::FieldOfView flag.

Access functions:

qreal | fieldOfView() const

Notifier signal:

void | fieldOfViewChanged(qreal fieldOfView)

## Member Function Documentation

### `[explicit]` QLightSensor::QLightSensor(QObject *parent = nullptr)

Construct the sensor as a child of parent.

### `[virtual noexcept]` QLightSensor::~QLightSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QLightReading *QLightSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().

### void QLightSensor::setFieldOfView(qreal fieldOfView)

Sets the field of view to fieldOfView. This is to be called from the backend.

See also fieldOfView().